
--******************************************************************************
WITH Byte_Sequential_IO;    USE Byte_Sequential_IO;


PACKAGE BODY File_Utils IS

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

FUNCTION Does_File_Exist(Nom : IN FileName) RETURN BOOLEAN IS
  Fic : Byte_Sequential_IO.FILE_TYPE;
BEGIN
  OPEN(Fic, IN_FILE, Nom);
  CLOSE(Fic);
  RETURN TRUE;
EXCEPTION
  WHEN OTHERS => RETURN FALSE;
END Does_File_Exist;

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

PROCEDURE Delete_File(Nom : FileName) IS
  Fic : Byte_Sequential_IO.FILE_TYPE;
BEGIN
  OPEN(Fic, IN_FILE, Nom);
  DELETE(Fic);             -- La procdure DELETE ferme aussi le fichier.
END Delete_File;

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

END File_Utils;
