
--******************************************************************************
--                                                                            **
--  File:        RESULTAT.ADB                                                 **
--  Description: Output of the number PI                                      **
--  Revision:    1.23                                                         **
--  Date:        February 3, 2001                                             **
--  Author:      Jrme Delcourt                                              **
--  Mail:        sikander@club-internet.fr                                    **
--                                                                            **
--  Copyright (c) Jrme Delcourt, 1998, 1999, 2000, 2001                     **
--  62, rue Ngrier                                                           **
--  59800 Lille                                                               **
--  FRANCE                                                                    **
--                                                                            **
--  Permission granted to use for any purpose, provided this copyright        **
--  remains attached and unmodified.                                          **
--                                                                            **
--  THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR            **
--  IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED            **
--  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.       **
--                                                                            **
--******************************************************************************

WITH ModInt;           USE ModInt;
WITH TEXT_IO;          USE TEXT_IO;
WITH My_Big;           USE My_Big;
                       USE My_Big.Big_Fraction;
WITH Index_IO;         USE Index_IO;
WITH Utils_Pi;         USE Utils_Pi;


PROCEDURE Resultat IS

--****************************************************************************** 
-- Declarations of variables
--****************************************************************************** 

  Borne : My_Index;
  ArcSin, Temp_Fract : Fraction;

--******************************************************************************
--******************************************************************************

BEGIN
  -- Initialisation
  Init(Borne, ArcSin, Temp_Fract);
  -- Output of the result
  Resultat(ArcSin, Borne - 1);
END Resultat;
